SDL_ReportAssertion(3)

NAME
SDL_ReportAssertion - Never call this directly.

HEADER FILE
Defined in SDL3/SDL_assert.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_AssertState SDL_ReportAssertion(SDL_AssertData *data,
                                const char *func,
                                const char *file, int line);

DESCRIPTION
Use the SDL_assert
 macros instead.

FUNCTION PARAMETERS

data
    assert data structure.

func
    function name.

file
    file name.

line
    line number.

RETURN VALUE
( SDL_AssertState ) Returns assert state.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.